メインコンテンツへスキップ
POST
/
v1
/
monitors
モニターを作成
curl --request POST \
  --url https://api.olostep.com/v1/monitors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "frequency": "<string>",
  "email": "<string>",
  "webhook_url": "<string>",
  "phone_number": "<string>",
  "metadata": {},
  "output_schema": {}
}
'
{
  "id": "<string>",
  "object": "monitor",
  "status": "active",
  "fda_id": "<string>",
  "query": "<string>",
  "frequency": "<string>",
  "cron_expression": "<string>",
  "notification_target": "<string>",
  "metadata": {},
  "output_schema": {},
  "created": 123,
  "updated": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.olostep.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Bearer 形式のBearer認証ヘッダー。はあなたの認証トークンです。

ボディ

application/json
query
string
必須

自然言語でのモニタリングの意図。クエリにURLが含まれている場合、モニターはそのURLに焦点を当てます。

frequency
string
必須

自然言語でのスケジュール指示(例: '毎日午前9時 America/Los_Angeles' または '毎週平日14:30')。タイムゾーンが指定されていない場合は、UTCが使用されます。

email
string

通知メール。webhook_urlおよびphone_numberとは排他的。

webhook_url
string<uri>

通知webhook URL (http/https)。メールおよびphone_numberとは排他的。

phone_number
string

E.164形式の通知電話番号(例: '+14155552671')。提供されると、通知はSMSで送信されます。メールおよびwebhook_urlとは排他的。

Pattern: ^\+[1-9]\d{1,14}$
metadata
object
output_schema
object

構造化されたモニター抽出出力を強制するために使用されるオプションのJSONスキーマ。

レスポンス

モニターが受け入れられ、アクティブ化されました。

id
string
object
string
:

"monitor"

status
string
:

"active"

fda_id
string
query
string
frequency
string

自然言語でのスケジュール指示。スケジューラーによって解釈され、タイムゾーンが指定されていない場合はUTCがデフォルトになります。

cron_expression
string
notification_channel
enum<string>
利用可能なオプション:
email,
webhook,
sms
notification_target
string
metadata
object
output_schema
object
created
integer
updated
integer